Package com.mckoi.database

## Class QueryPlan.MarkerNode

- java.lang.Object
- - com.mckoi.database.QueryPlan.SingleQueryPlanNode
  - - com.mckoi.database.QueryPlan.MarkerNode

All Implemented Interfaces:
  `QueryPlanNode`, `java.io.Serializable`, `java.lang.Cloneable`

Enclosing class:
  QueryPlan

    public static class QueryPlan.MarkerNode
    extends QueryPlan.SingleQueryPlanNode

A marker node that takes the result of a child and marks it as a name that can later be retrieved. This is useful for implementing things such as outer joins.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.mckoi.database.QueryPlan.SingleQueryPlanNode

`child`

### Constructor Summary

Constructors
`MarkerNode​(QueryPlanNode child, java.lang.String mark_name)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Deep clone.
`Table` `evaluate​(QueryContext context)` Evaluates the node and returns the result as a Table.
`java.lang.String` `titleString()`

### Methods inherited from class com.mckoi.database.QueryPlan.SingleQueryPlanNode

`child, debugString, discoverCorrelatedVariables, discoverTableNames`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarkerNode

    public MarkerNode​(QueryPlanNode child,
                      java.lang.String mark_name)

Constructor.

### Method Detail

#### evaluate

    public Table evaluate​(QueryContext context)

Description copied from interface: `QueryPlanNode`
Evaluates the node and returns the result as a Table. The VariableResolver resolves any outer variables

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Description copied from class: `QueryPlan.SingleQueryPlanNode`
Deep clone.

Specified by:
  `clone` in interface `QueryPlanNode`
Overrides:
  `clone` in class `QueryPlan.SingleQueryPlanNode`
Throws:
  `java.lang.CloneNotSupportedException`

#### titleString

    public java.lang.String titleString()

Overrides:
  `titleString` in class `QueryPlan.SingleQueryPlanNode`